Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.pattern
Class NameTest

    java.lang.Object
      org.jaxen.pattern.Pattern
          org.jaxen.pattern.NodeTest
              org.jaxen.pattern.NameTest

public class NameTest
extends NodeTest

`NameTest` tests for a node name.

Version:
  $Revision: 1.6 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.jaxen.pattern.Pattern
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, NO_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`NameTest(String name, short nodeType)`

Method Summary
`short` | `getMatchType()` Returns the type of node the pattern matches.
`double` | `getPriority()` Returns the default resolution policy of the pattern according to the XSLT conflict resolution rules.
`String` | `getText()` Returns a textual representation of this pattern
`boolean` | `matches(Object node, Context context)`
`String` | `toString()`

Methods inherited from class org.jaxen.pattern.Pattern
`getMatchesNodeName, getUnionPatterns, simplify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameTest

    public NameTest(String name,
                    short nodeType)

Method Detail

### matches

    public boolean matches(Object node,
                           Context context)

  Specified by:
    `matches` in class `Pattern`
  Parameters:
    `node` - ????
    `context` - ????
  Returns:
    true if the pattern matches the given node

### getPriority

    public double getPriority()

  Description copied from class: `Pattern`
  Returns the default resolution policy of the pattern according to the XSLT conflict resolution rules.

  Overrides:
    `getPriority` in class `Pattern`
  Returns:
    0.5; the default priority defined in XSLT
  See Also:
    Section 5.5 of the XSLT specification

### getMatchType

    public short getMatchType()

  Description copied from class: `Pattern`
  Returns the type of node the pattern matches.

  Overrides:
    `getMatchType` in class `Pattern`
  Returns:
    `ANY_NODE` unless overridden

### getText

    public String getText()

  Description copied from class: `Pattern`
  Returns a textual representation of this pattern

  Specified by:
    `getText` in class `Pattern`
  Returns:
    the usual string form of this XSLT pattern

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.